#include "descrip.hpp"
#include <string.h>
#include "legend.hpp"

Description::Description(int dx1, int dy1, int dx2, int dy2,
	   COLOR_TYPE border_clr, COLOR_TYPE fill_clr, COLOR_TYPE text_clr) :
	   Icon(-1, -1, -1, -1)
{
	x1 = dx1;
	y1 = dy1;
	x2 = dx2;
	y2 = dy2;
	text [0] = '\0';

	border_color = border_clr;
	fill_color = fill_clr;
	text_color = text_clr;

	box = new Box(x1, y1, x2 - x1, y2 - y1,
		      border_color, fill_color);
}


void Description::SetText(char* new_text)
{
	strncpy(text, new_text, MAX_LEGEND_LENGTH + 1);
}


void Description::Display()
{
	box->Display();

	BOX_TYPE text_box;
	text_box.x1 = x1;
	text_box.y1 = y1;
	text_box.x2 = x2;
	text_box.y2 = y2;
	Legend text_legend;
	text_legend.Center(&text_box, text_color, text);
}

Description::~Description()
{
	delete box;
}


