#ifndef PAGESELECTORHPP
#define PAGESELECTORHPP

#include <string.h>

#include "database.hpp"
#include "box.hpp"
#include "graphics.hpp"
#include "legend.hpp"

#define PAGE_BUTTON_WIDTH 70

class PageSelector: public Icon {

	friend class PageButton;
	int button_selected;
	int total_buttons;
	PageButton* button [MAX_PAGE_BUTTON];

public:

	PageSelector();
	void Display();
	void Select(int);
	virtual ~PageSelector();
};


class PageButton: public Icon {

	friend class PageSelector;
	PageSelector* parent;
	void (*activation_function)();
	int page_number;
	Box* box;
	char descriptor [30];

	COLOR_TYPE border_color;
	COLOR_TYPE inactive_color;
	COLOR_TYPE active_color;
	COLOR_TYPE descriptor_color;

public:

	PageButton(PageSelector*, int, int, int,
		   PAGE_BUTTON_DEFINITION*, int);
	void Display();
	void Highlight();
	void UnHighlight();
	void LeftButtonPressed();
	void LeftButtonReleased();
	virtual ~PageButton();
};

#endif
